Adobe SVG Viewer Circle Transform Remote Code Execution

High Nessus Plugin ID 47152


An ActiveX control on the remote host has a code execution vulnerability.


The version of Adobe SVG Viewer on the remote host has a remote code execution vulnerability. A remote attacker could exploit this by tricking a user into requesting a maliciously crafted web page, resulting in arbitrary code execution.


Adobe stopped supporting SVG Viewer on January 1, 2009. Remove the software from the system.

See Also

Plugin Details

Severity: High

ID: 47152

File Name: svg_viewer_code_execution.nasl

Version: $Revision: 1.7 $

Type: local

Agent: windows

Family: Windows

Published: 2010/06/28

Modified: 2015/01/12

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2010/06/16

Reference Information

BID: 40885